﻿using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using CYQ.Tool;
using CYQ.Entity;
using CYQ.Data;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            WeatherInfo info = WeatherSearch.Get("哈尔滨");
            if (info != null)
            {
                litCity.Text = info.CityName;
                litDescprtion.Text = info.Description;
                imgUrl.ImageUrl = info.ImgUrl;
                litWind.Text = info.Wind;
                litTemperature.Text = info.Temperature;
                LitImg.Text = info.ImgUrl.Substring(25);
            }
            Bind();
        }
    }
    //插入数据
    protected void BtnInsert_Click(object sender, EventArgs e)
    {
        MAction action = new MAction(TableNames.weather);
        action.Set(weather.city, litCity.Text);
        action.Set(weather.imgurl, LitImg.Text);
        action.Set(weather.wind, litWind.Text);
        action.Set(weather.temperature, litTemperature.Text);
        action.Set(weather.date, DateTime.Now.ToString("yyyy-MM-dd"));
        action.Insert();
        Page.ClientScript.RegisterStartupScript(Page.GetType(), "message", "<script language='javascript' defer>alert('添加成功！');</script>");
        action.Close();
        Bind();
    }
    //绑定数据
    public void Bind()
    {
        int count;
        MAction action = new MAction(TableNames.weather);
        GridView1.DataSource = action.Select(Pager1.PageIndex, Pager1.PageSize, "", out count);
        GridView1.DataKeyNames = new string[] { "id" };
        GridView1.DataBind();
        action.Close();
        Pager1.BindName = "Bind";
        Pager1.Count = count;
    }
    //删除
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        int id = Convert.ToInt32(GridView1.DataKeys[e.RowIndex].Value.ToString());
        MAction action = new MAction(TableNames.weather);
        bool b = action.Delete(id);
        if (b)
        {
            Page.ClientScript.RegisterStartupScript(Page.GetType(), "message", "<script language='javascript' defer>alert('删除成功！');</script>");
        }
        Bind();

    }
    protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            if (e.Row.RowState == DataControlRowState.Normal || e.Row.RowState == DataControlRowState.Alternate)
            {
                ((LinkButton)e.Row.Cells[6].Controls[0]).Attributes.Add("onclick", "javascript:return confirm('你确定要删除吗？')");
            }
        }
    }
}


